Remote Config API

Endpoints for managing remote config key-value pairs per environment.

Endpoints

GET/v1/environments/{env_id}/configsList all config keys
POST/v1/environments/{env_id}/configsCreate a config key
PATCH/v1/environments/{env_id}/configs/{config_id}Update a config value
DELETE/v1/environments/{env_id}/configs/{config_id}Delete a config key

POST /v1/environments/{env_id}/configs

// Request
{
  "key": "api_base_url",
  "value": "https://api.myapp.com",
  "type": "string"
}
// Supported types: string, number, boolean, json
// Response 201
{
  "id": "uuid",
  "key": "api_base_url",
  "value": "https://api.myapp.com",
  "type": "string",
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}

Value types

string"https://api.myapp.com"Text values, URLs, copy
number30Integers and decimals
booleantruetrue or false
json{"primary":"#3B82F6"}Maps and arrays

PATCH /v1/environments/{env_id}/configs/{config_id}

// Request
{ "value": "https://api-v2.myapp.com" }
// Response 200 — full updated config object